<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, hnqz All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the pig4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: hnqz
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.qunzhixinxi.hnqz.admin.mapper.WmCroMapper">

  <resultMap id="wmCroMap" type="com.qunzhixinxi.hnqz.admin.entity.WmCro">
                  <id property="id" column="id"/>
                        <result property="qymc" column="qymc"/>
                        <result property="tyshxydm" column="tyshxydm"/>
                        <result property="pgqx" column="pgqx"/>
                        <result property="updateTime" column="update_time"/>
                        <result property="createTime" column="create_time"/>
                        <result property="statu" column="statu"/>
                        <result property="yyzz" column="yyzz"/>
                        <result property="sbnszm" column="sbnszm"/>
                        <result property="frsfzrxm" column="frsfzrxm"/>
                        <result property="frsfzghm" column="frsfzghm"/>
                        <result property="frsfzsc" column="frsfzsc"/>
                        <result property="creditStatu" column="credit_statu"/>
                        <result property="taskStatu" column="task_statu"/>
            </resultMap>
	<sql id="Base_Column_List">
    id, qymc, tyshxydm,pgqx, update_time, create_time, statu,
     yyzz, sbnszm, frsfzrxm, frsfzghm, frsfzsc, credit_statu, task_statu
  </sql>
	<select id="selectCroList" resultMap="wmCroMap">
		select
		<include refid="Base_Column_List"/>
		from wm_cro where 1=1
		<if test="query.qymc != null and query.qymc !=''">
			AND qymc like CONCAT('%',#{query.qymc},'%')
		</if>
		<if test="query.tyshxydm != null and query.tyshxydm !=''">
			AND tyshxydm like CONCAT('%',#{query.tyshxydm},'%')
		</if>
		<if test="query.pgqx != null and query.pgqx!=''">
			AND pgqx = #{query.pgqx,jdbcType=VARCHAR}
		</if>
		<if test="query.updateTime != null and query.updateTime !=''">
			AND update_time = #{query.updateTime,jdbcType=VARCHAR}
		</if>
		<if test="query.createTime != null and query.createTime!='' ">
			AND create_time = #{query.createTime,jdbcType=VARCHAR}
		</if>
		<if test="query.statu != null and query.statu!='' ">
			AND statu = #{query.statu,jdbcType=VARCHAR}
		</if>
		<if test="query.yyzz != null and query.yyzz!='' ">
			AND yyzz = #{query.yyzz,jdbcType=VARCHAR}
		</if>
		<if test="query.sbnszm != null and query.sbnszm!='' ">
			AND sbnszm = #{query.sbnszm,jdbcType=VARCHAR}
		</if>
		<if test="query.frsfzrxm != null and query.frsfzrxm!='' ">
			AND frsfzrxm = #{query.frsfzrxm,jdbcType=VARCHAR}
		</if>
		<if test="query.frsfzghm != null and query.frsfzghm!='' ">
			AND frsfzghm = #{query.frsfzghm,jdbcType=VARCHAR}
		</if>
		<if test="query.frsfzsc != null and query.frsfzsc!=''">
			AND frsfzsc = #{query.frsfzsc,jdbcType=VARCHAR}
		</if>
		<if test="query.creditStatu != null and query.creditStatu!=''">
			AND credit_statu = #{query.creditStatu,jdbcType=VARCHAR}
		</if>
		<if test="query.taskStatu != null and query.taskStatu!=''">
			AND task_statu = #{query.taskStatu,jdbcType=VARCHAR}
		</if>
		order by id desc
	</select>
</mapper>
